// Dependencies and Modules

const express = require('express');
const userController = require('../controllers/user');
// Routing Component
const router = express.Router();
// Auth import
const auth = require('../auth')
// Auth
const {verify,verifyAdmin} = auth;
// verifyng 

router.post("/register", (req, res) => {
	userController.registerUser(req.body).then(resultFromController => res.send(resultFromController));
});


router.post('/login',userController.loginUser);


router.get('/userdetail',verify,userController.retrieveDetails);

module.exports = router;